Language pack isn't used

Bug #1094376 reported by Sworddragon on 2012-12-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Critical
Chris Coulson
Lucid
Critical
Unassigned
Oneiric
Critical
Unassigned
Precise
Critical
Unassigned
Quantal
Critical
Unassigned
Raring
Critical
Chris Coulson

Bug Description

I'm using Ubuntu 13.04 dev with firefox 18.0~b5+build1-0ubuntu1 and firefox-locale-de 18.0~b5+build1-0ubuntu1. On deleting (or renaming) the old profile and creating a new one Firefox uses still the english language pack. A workaround to solve this is to disable and enable the german language pack and to restart Firefox.

Fabio Marconi (fabiomarconi) wrote :

Probably in the deleted profile file there was something pointing to the language settings.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in firefox (Ubuntu):
status: New → Incomplete
Sworddragon (sworddragon) wrote :

The profile was deleted and Firefox was closed. There can't point anything to something else.

Changed in firefox (Ubuntu):
status: Incomplete → New
Sworddragon (sworddragon) wrote :

Just to avoid confusion: It seems you have thought that only my old profile was affected by this bug. But all new generated profiles do so. Closing Firefox, delete ~/.mozilla and starting Firefox (so that a new profile is created) will cause this problem again.

Chris Coulson (chrisccoulson) wrote :

I've seen this at least once with Nightly, and Seb has it with the last 18.0 beta too

Changed in firefox (Ubuntu):
importance: Undecided → Critical
status: New → Triaged
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in firefox (Ubuntu Quantal):
importance: Undecided → Critical
Changed in firefox (Ubuntu Oneiric):
importance: Undecided → Critical
Changed in firefox (Ubuntu Lucid):
importance: Undecided → Critical
status: New → Triaged
Changed in firefox (Ubuntu Quantal):
status: New → Triaged
Changed in firefox (Ubuntu Precise):
importance: Undecided → Critical
status: New → Triaged
Changed in firefox (Ubuntu Oneiric):
status: New → Triaged
Changed in firefox (Ubuntu Lucid):
status: Triaged → Fix Committed
Changed in firefox (Ubuntu Oneiric):
status: Triaged → Fix Committed
Changed in firefox (Ubuntu Quantal):
status: Triaged → Fix Committed
Changed in firefox (Ubuntu Precise):
status: Triaged → Fix Committed
Changed in firefox (Ubuntu Raring):
status: Triaged → Fix Committed
Chris Coulson (chrisccoulson) wrote :

As you've probably noticed from all of the linked branches, this is fixed everywhere now (the fix will be in the Firefox 18 release build and the first Firefox 19 beta as well).

Sorry we didn't respond to this sooner. It got overlooked due to the Christmas break, but thanks a lot for reporting it. We probably would have released Firefox 18 with this bug if you hadn't

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 18.0+build1-0ubuntu0.12.04.3

---------------
firefox (18.0+build1-0ubuntu0.12.04.3) precise-security; urgency=low

  * New upstream stable release (FIREFOX_18_0_BUILD1)
    - see LP: #1096387 for USN information

  * Fix LP: #1094376 - Language pack isn't used. Revert bmo: #677092 (make
    language packs restartless) for now, as system-wide bootstrapped addons
    with chrome are pretty broken
    - add debian/patches/revert-restartless-language-packs.patch
    - update debian/patches/series.in
  * Backport bmo: #802358 from Firefox 20 (add hardfp support to ionmonkey)
    - add debian/patches/ionmonkey-hardfp-support.patch
    - update debian/patches/series.in
  * Enable profiling on nightly builds
    - update debian/config/mozconfig.in
  * Drop patches fixed upstream
    - remove debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series.in
  * Turn on Network Manager integration
    - update debian/vendor-gre.js
  * Update favicon for Google searchplugin
    - update debian/searchplugins/en-GB/google.xml
    - update debian/searchplugins/en-US/google.xml
    - update debian/searchplugins/en-ZA/google.xml
    - update debian/searchplugins/ja/google-jp.xml
    - update debian/searchplugins/ku/google-ku.xml
 -- Chris Coulson <email address hidden> Sat, 05 Jan 2013 20:10:04 +0000

Changed in firefox (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 18.0+build1-0ubuntu0.10.04.3

---------------
firefox (18.0+build1-0ubuntu0.10.04.3) lucid-security; urgency=low

  * New upstream stable release (FIREFOX_18_0_BUILD1)
    - see LP: #1096387 for USN information

  * Fix LP: #1094376 - Language pack isn't used. Revert bmo: #677092 (make
    language packs restartless) for now, as system-wide bootstrapped addons
    with chrome are pretty broken
    - add debian/patches/revert-restartless-language-packs.patch
    - update debian/patches/series.in
  * Enable profiling on nightly builds
    - update debian/config/mozconfig.in
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch
    - update debian/patches/use-new-yasm-in-lucid.patch
  * Drop patches fixed upstream
    - remove debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series.in
  * Turn on Network Manager integration
    - update debian/vendor-gre.js
  * Update favicon for Google searchplugin
    - update debian/searchplugins/en-GB/google.xml
    - update debian/searchplugins/en-US/google.xml
    - update debian/searchplugins/en-ZA/google.xml
    - update debian/searchplugins/ja/google-jp.xml
    - update debian/searchplugins/ku/google-ku.xml
 -- Chris Coulson <email address hidden> Sat, 05 Jan 2013 20:15:12 +0000

Changed in firefox (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 18.0+build1-0ubuntu0.12.10.3

---------------
firefox (18.0+build1-0ubuntu0.12.10.3) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_18_0_BUILD1)
    - see LP: #1096387 for USN information

  * Fix LP: #1094376 - Language pack isn't used. Revert bmo: #677092 (make
    language packs restartless) for now, as system-wide bootstrapped addons
    with chrome are pretty broken
    - add debian/patches/revert-restartless-language-packs.patch
    - update debian/patches/series.in
  * Backport bmo: #802358 from Firefox 20 (add hardfp support to ionmonkey)
    - add debian/patches/ionmonkey-hardfp-support.patch
    - update debian/patches/series.in
  * Enable profiling on nightly builds
    - update debian/config/mozconfig.in
  * Drop patches fixed upstream
    - remove debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series.in
  * Turn on Network Manager integration
    - update debian/vendor-gre.js
  * Update favicon for Google searchplugin
    - update debian/searchplugins/en-GB/google.xml
    - update debian/searchplugins/en-US/google.xml
    - update debian/searchplugins/en-ZA/google.xml
    - update debian/searchplugins/ja/google-jp.xml
    - update debian/searchplugins/ku/google-ku.xml
 -- Chris Coulson <email address hidden> Sat, 05 Jan 2013 15:41:37 +0000

Changed in firefox (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 18.0+build1-0ubuntu0.11.10.3

---------------
firefox (18.0+build1-0ubuntu0.11.10.3) oneiric-security; urgency=low

  * New upstream stable release (FIREFOX_18_0_BUILD1)
    - see LP: #1096387 for USN information

  * Fix LP: #1094376 - Language pack isn't used. Revert bmo: #677092 (make
    language packs restartless) for now, as system-wide bootstrapped addons
    with chrome are pretty broken
    - add debian/patches/revert-restartless-language-packs.patch
    - update debian/patches/series.in
  * Enable profiling on nightly builds
    - update debian/config/mozconfig.in
  * Refresh patches
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/firefox-kde.patch
  * Drop patches fixed upstream
    - remove debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series.in
  * Turn on Network Manager integration
    - update debian/vendor-gre.js
  * Update favicon for Google searchplugin
    - update debian/searchplugins/en-GB/google.xml
    - update debian/searchplugins/en-US/google.xml
    - update debian/searchplugins/en-ZA/google.xml
    - update debian/searchplugins/ja/google-jp.xml
    - update debian/searchplugins/ku/google-ku.xml
 -- Chris Coulson <email address hidden> Sat, 05 Jan 2013 20:12:58 +0000

Changed in firefox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 19.0~b1+build2-0ubuntu1

---------------
firefox (19.0~b1+build2-0ubuntu1) raring; urgency=low

  * New upstream release from the beta channel (FIREFOX_19_0b1_BUILD2)
 -- Chris Coulson <email address hidden> Tue, 08 Jan 2013 21:19:54 +0000

Changed in firefox (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers